package com.yihu.hos.crawler.format;


import com.fasterxml.jackson.databind.JsonNode;
import com.yihu.hos.crawler.model.adapter.AdapterDataSet;
import com.yihu.hos.crawler.model.patient.Patient;
import com.yihu.hos.crawler.model.transform.TransformType;

import java.util.Map;

/**
 * @author Airhead
 * @version 1.0
 * @created 22-5月-2015 11:24:26
 */
public interface IDataTransformer {

    boolean transfer(Map<String, AdapterDataSet> dataSetMap);

    String getData();

    void setData(JsonNode data);

    Patient getPatient();

    TransformType getTransformType();
}